Subject: Re: bug#25362: 26.0.50; comment-region goes into an infinite loop

From: Alan Mackenzie <[email-masked]>
Date: Mon, 9 Jan 2017 22:04:39 +0000

Hello, Dima

On Mon, Jan 09, 2017 at 01:46:28PM -0800, Dima Kogan wrote:
> Alan Mackenzie <[email-masked]> writes:

> > As already observed, this bug happens simply in C Mode by attempting to
> > comment out the four lines inside the function, doing this by marking
> > the lines then C-c C-c.

> > The cause was a rather nasty situation where a "syntactic whitespace
> > cache", designed to facilitate moving rapidly over large areas of WS
> > (particularly long comments at the beginning of files) got screwed up by
> > the insertion of "// " onto a line already containing a "//" later on.

> > Here is a patch.  It is not yet in its final form (the comments need
> > fixing).  Would you please try it out and let me know how well/how badly
> > it works:

> Hi. I'm now running with this patch, and some cursory testing says that
> it works. I briefly ran into an issue where I

> 1. highlighted a problematic region
> 2. hit M-; (this worked correctly)
> 3. Hit M-/ to undo

> This undo restored the text correctly, but the whole region remained
> highlighted as a comment, even after the undo removed the comment
> characters. I hit this once, but cannot reproduce it anymore. If this
> description means something to you, feel free to act on it :)

I'll have a think about this some time (it's late at night in Europe,
now).

> > Thanks for this rather obscure bug report.  :-)

> Heh. I just report issues that pop up during the course of the day. We
> owe you hugely for responding to these bugs and maintaining cc-mode.
> Thanks!

That's appreciated!

-- 
Alan Mackenzie (Nuremberg, Germany).